package be.ac.ulb.code.wit.service;

import javax.jws.WebService;
import be.ac.ulb.code.wit.contacts.*;

@WebService
public interface GroupService {
	/**
	 * Retrieves all contacts in the specified group.
	 * @param group The group for which contacts are to be retrieved
	 * @return the list of all contacts belonging to the specified group
	 * @throws NoSuchGroupException when the specified group cannot be found.
	 */
	public abstract Contact[] getGroupContacts(String group) throws NoSuchGroupException;

	//TODO: add the other methods based on the exercise's usage scenarios


}
