package be.ac.ulb.code.wit.service;

import be.ac.ulb.code.wit.contacts.Contact;
import be.ac.ulb.code.wit.contacts.ContactGroup;

public class GroupServiceImpl extends Object implements GroupService {

	//Example of how to implement the first method of the GroupService interface
	@Override
	public Contact[] getGroupContacts(String name) throws NoSuchGroupException {
		ContactGroup group = ContactGroup.FindByName(name);
		if (group == null) throw new NoSuchGroupException("Could not find group " + name);
		return group.contacts.toArray(new Contact[0]);
	}

	//TODO: implement the other methods that you added to the GroupService interface	
}
