package be.ac.ulb.code.wit.service;

import javax.xml.bind.annotation.XmlElement;

public class NoSuchGroupException extends Exception {
	private static final long serialVersionUID = 611168288553239740L;
	
	@XmlElement(required=true)
	private final String message;
	
	public String getMessage() {
		return message;
	}
	
	public NoSuchGroupException(String message) {
		super(message);
		this.message = super.getMessage();
	}
	
	public NoSuchGroupException(Throwable cause, String message) {
		super(message,cause);
		this.message = super.getMessage();
	}

}
